package com.mn.keeplive;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;

import com.mn.keeplive.account.AccountHelper;
import com.mn.keeplive.activity.KeepManager;
import com.mn.keeplive.jobscheduler.MyJobService;
import com.mn.keeplive.service.ForegroundService;


public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //1像素保活法
        //优点：有效保活，缺点：用户一直在用手机，不锁屏，内存不足时，会导致进程杀掉
       // KeepManager.getInstance().registerKeep(this);
        // //3、广播拉活，也叫全家桶拉活，如果说你的应用没有超过1个，不建议使用
        // 那么可以监听其他app发出的广播，去拉活你的app，不建议大家这样做
        //没有用户用这种方式拉活
        //4、弊端：虚拟机可以无限拉活，真机可以拉活几次，有些机型无法拉活，市面上基本没有用户使用该方法拉活
        //startService(new Intent(this, StickyService.class));

        //5、系统账户拉活
        AccountHelper.addAccount(this);
        AccountHelper.autoSync();
        //6、定时任务拉活---JobService--通过任务方式去拉活---比较占内存,并且是一种流氓行为---不推荐大家用这种方式
        //MyJobService.startJob(this);
        //startService(new Intent(this, ForegroundService.class));
        //双进程守护，
    }

    @Override
    protected void onDestroy() {
        KeepManager.getInstance().unregisterKeep(this);
        super.onDestroy();
    }
}